const express = require('express');
const router = express.Router();
const {
	createHotel,
	createHotelRoom,
	getAllHotels,
	getHotel,
	updateHotel,
	deleteHotel,
} = require('../../controllers/super-admin/hotels');

router.post('/', createHotel);
router.get('/', getAllHotels);
router.post('/rooms', createHotelRoom);
router.get('/:id', getHotel);
router.patch('/:id', updateHotel);
router.delete('/:id', deleteHotel);

module.exports = router;
